<div class="row">
  <div class="col-xl-6 d-flex normal_16px_font lightsgrey chartheader-wrapper">{{ headerDescription }}</div>
  <div class="col-xl-6 d-flex justify-content-end charticon-wrapper ">
    <input #imageInput type="file" accept="image/*" (change)="processFile(imageInput)" style="display: none" />

    <a href="javascript:void(0)" (click)="downloadFile()">
      <img src="../../../assets/download.png" alt="img" class="chart-downlaod" />
    </a>
    <a href="javascript:void(0)" (click)="clearSelection()">
      <img src="../../../assets/deletei.png" alt="img" class="chart-delete" />
    </a>
  </div>

  <div *ngIf="!selectedFile" class="chartimage-wrapper">
    <img src="../../../assets/dropfileimage.png" alt="img" class="image-border" (click)="imageInput.click()" />
  </div>

  <div *ngIf="selectedFile" class="chartimage-wrapper">
    <img [src]="selectedFile.src" (click)="imageInput.click()" class="image-border" />

    <div *ngIf="selectedFile.pending" class="img-loading-overlay">
      <div class="img-spinning-circle"></div>
    </div>
  </div>
</div>
